Summary: An Eudora and NUPOP change password server.
Name: poppassd-ceti
Version: 1.8
Release: 1
URL: http://www.ceti.com.pl/~kravietz/prog.htm
Vendor: Pawel Krawczyk <kravietz@ceti.com.pl>
Packager: Karl O. Pinc <kop@meme.com>
Source0: ftp://ftp.ceti.com.pl/pub/linux/poppassd-1.8-ceti.tar.gz
Source1: poppassd.pam
Patch0: poppassd-ceti-1.8-rpm.patch
Patch1: poppassd-ceti-1.8-pamservice.patch
Copyright: No statement of copyright, distributed freely by author(s)
Requires: pam netkit-base setup tcp_wrappers sysklogd
Group: System Environment/Daemon
BuildRoot: /tmp/poppassd-buildroot

%description
Deamon that allows users to change their password via Eudora or NUPOP
using a network protocol on port 106.  This package uses PAM.

Original version based on John Norstad's poppassd code.  John
Norstad's program ran the regular unix "passwd" command.  This version
calls PAM to change the password.

Examine the (un)install scripts with "rpm --scripts <package>" before
(de)installation.  They modify some system configuration files.

%changelog
* Mon Aug 23 1999 Karl O. Pinc <kop@meme.com>
- Initial rpm.
- Made patch to have poppassd use it's own pam service, instead of
  the passwd pam service.
- Notice bugs in the postun script.
- See also ftp://ftp.nwu.edu/pub/poppassd for Norstad's original code.

%prep
%setup -n poppassd_1.8
%patch0 -p1
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/etc/pam.d
make INSTALL_PREFIX=$RPM_BUILD_ROOT install
install -g root -o root -m 0644 $RPM_SOURCE_DIR/poppassd.pam $RPM_BUILD_ROOT/etc/pam.d/poppassd

%clean
rm -rf $RPM_BUILD_ROOT

# Macros for (un)install scripts.
%define inetd_conf_line poppassd stream tcp nowait root /usr/sbin/tcpd poppassd
%define services_line poppassd       106/tcp
%define syslog_conf_line local4.err      /var/log/poppassd

%post
# Install poppassd in /etc/inetd.conf.
# Extra blank line is just in case the file dosen't end in a newline.
echo -ne '\n%{inetd_conf_line}\n' \
  >> /etc/inetd.conf

# Install a poppassd service in /etc/services
echo -ne '\n%{services_line}\n' >> /etc/services

# Install configuration line in /etc/syslog.conf to log poppassd on local4.
echo -ne '\n%{syslog_conf_line}\n' >> /etc/syslog.conf

# Let deamons know that we've changed it's configuration.
/etc/rc.d/init.d/inet reload
kill -SIGHUP $(cat /var/run/syslogd.pid)

%postun
# This script has two bugs in it, it dosen't lock the files that it
# modifies!
# It also leaves an blank line in the files that wern't there before
# the package was installed.

deline() {
file="$1"
line="$2"

tmpfile="/tmp/${file}.$$"
# Copy the file just so we can preserve all ownership and permissions.
cp -a /etc/${file} $tmpfile
grep -v "${line}" /etc/${file} > $tmpfile
mv $tmpfile /etc/${file}
}

# Remove the poppassd line we added to /etc/inetd.conf
deline inetd.conf "%{inetd_conf_line}"

# Remove the poppassd line we added to /etc/services.
deline services "%{services_line}"

# Remove the logging configuration line.
deline syslog.conf "%{syslog_conf_line}"

# Let inetd know that we've changed it's configuration.
/etc/rc.d/init.d/inet reload
kill -SIGHUP $(cat /var/run/syslogd.pid)

%files

%defattr(-,root,root)
%doc README
%attr(0500,root,root) /usr/sbin/poppassd
%config /etc/pam.d/poppassd
